local agent_helper = require(AGENT_PATH .. "agent_helper")

AgentAdapter = {
	is_init = false,
	is_login_verify_ing = false,
	login_callback = nil,
	force_logout = false,
    login_verify_url = "cls.xxqt.huolug.com/acq/login_verify.php",
    create_oid_url = "cls.xxqt.huolug.com/acq/createoid.php",
    notify_url = "http://cls.xxqt.huolug.com/acq/pay.php";
	uid = "",
}

--初始化
function AgentAdapter:Init()

	if self.is_init then return end
	self.uid = string.gsub((AdapterToLua:getInstance():getDataCache("PRVE_ACCOUNT_NAME") or ""), self:GetSpid() .. "_", "")
	self.is_init = true
	AgentMs:InitLocalPush()
	--浮标里按“切换账号”
	PlatformBinder:JsonBind("call_agent_logout", function(arg)
		self:LogoutCallback(arg)
		return true
	end)
end

-- 平台ID
function AgentAdapter:GetSpid()
	return "acq"
end
-- 平台帐号唯一标识
function AgentAdapter:GetOpenId()
	return self.uid
end

-- 加前辍的平台帐号，全平台唯一
function AgentAdapter:GetPlatName()
	return "acq_" .. self.uid
end

function AgentAdapter:Login(callback)

	if self.is_login_verify_ing then
		SysMsgCtrl.Instance:ErrorRemind("正在登录验证中，请稍等...", true)
		return
	end
	self.login_callback = callback
	agent_helper:Login(LUA_CALLBACK(self, self.LoginCallback))--设置登陆回调 

end

function AgentAdapter:OnClickBackLogin()
	local callback = function()
		AgentLoginView:OnClickBtnLogin()--重新调出登陆界面
    end
    --自己按“返回”切换账号
	PlatformBinder:JsonCall("call_agent_logout2", "", "", LUA_CALLBACK(self, callback))
end

function AgentAdapter:LoginCallback(result)--登陆后回调
	Log("result===" .. result)

	local json_obj = cjson.decode(result)	

	if nil == json_obj or 
		nil == json_obj.token 
		then return end

	local token = json_obj.token

	local verify_callback = function(url, arg, data, size)
		
		self.is_login_verify_ing = false
		if size <= 0 then
			return
		end
		
		local ret_t = cjson.decode(data)
		if nil == ret_t or 0 ~= ret_t.ret or nil == ret_t.user then
			return
		end
	
		self.uid = ret_t.user.uid
		LoginController.Instance:SetLoginUserData(self:GetPlatName(), ret_t.user)
		self.login_callback(self:GetPlatName())

		--self:ShowFloatButton()--浮标
	end

	self.is_login_verify_ing = true
	local now_server_time = math.floor(GLOBAL_CONFIG.server_info.server_time + (Status.NowTime - GLOBAL_CONFIG.client_time))
	local real_url = "http://cls.xxqt.huolug.com/acq/login_verify.php?spid=acq&token=" .. self:encodeURI(token)
	Log("log_real_url==" .. real_url)
	HttpClient:Request(real_url, "", verify_callback)

	return false
	
end



function AgentAdapter:encodeURI(s)
    s = string.gsub(s, "([^%w%.%- ])", function(c) return string.format("%%%02X", string.byte(c)) end)
    return string.gsub(s, " ", "+")
end

function AgentAdapter:LogoutCallback(result)--注销回调
	--Log("===============call_agent_logout3====1")
	self.uid = ""
	if not LoginController.Instance:AgentLoginViewIsOpen() then
		ReStart()
		--Log("===============call_agent_logout3=====2")
		--PlatformBinder:JsonCall("call_agent_logout3", "", "")
	end
	return true
end

function AgentAdapter:UIEventCallback(event)--UI事件回调
	if "open" == event then
		--self:ShowFloatButton()
	elseif "close" == event then
		--self:ShowFloatButton()
	end
	return true
end


function AgentAdapter:ShowFloatButton()--显示浮动按钮
	agent_helper:ShowFloatButton()
end

function AgentAdapter:Pay(role_id, role_name, amount, server_id, callback)--购买

	local verify_callback = function(url, arg, data, size)

			if size <= 0 then
				Log("size======")
				return
		    end

			if self.uid == "" then
				SysMsgCtrl.Instance:ErrorRemind("uid为空，请联系客服")
				return
			end

			local param_obj = {}
			param_obj.oid = data

			Log("param_obj==" .. cjson.encode(param_obj))
			agent_helper:Pay(cjson.encode(param_obj), nil)
    end


	local content = "[{name:".. amount * 10 .."个元宝,count:".. amount * 10 ..",price:".. 0.1 .."}]"
	local uid = self.uid
	local notify_url = self.notify_url
	local oid = server_id .. "_" .. self.uid .. "_" .. os.time()
	local amount = amount * 100

	local real_url = string.format("%s?content=%s&uid=%s&notify_url=%s&oid=%s&amount=%s", self.create_oid_url, content, uid, notify_url, oid, amount)

	--self:encodeURI(token)

	Log("log_real_url==" .. real_url)
	HttpClient:Request(real_url, "", verify_callback)

end





function AgentAdapter:SubmitRoleData(role_id, role_name, role_level, zone_id, zone_name)

	if self.subit_date_tf == nil then
		self.subit_date_tf = true
		local info = {}
		info.serverName = zone_name
		info.serverId = zone_id
		info.uid = self:GetPlatName()
		info.level = role_level
		
		PlatformBinder:JsonCall("send_user_info", cjson.encode(info))
	end

end
