local agent_helper = require(AGENT_PATH .. "agent_helper")

local init_loader = {}

function init_loader:Name()
	return "init_loader"
end

function init_loader:Callback(result)
	print("init_loader:Callback " .. result)

	if "true" == result then
		MainLoader:OpenView()
		MainLoader:PushTask(require("preload/init_query"))
		self.task_status = MainLoader.TASK_STATUS_DONE
	else
		self.task_status = MainLoader.TASK_STATUS_EXIT
		print("init_loader:Callback 1 " .. result)
		local format = { title = "提示", message = "网络不稳定，请检查网络设置", positive = "确定", cancelable = "false", }
		PlatformAdapter:OpenAlertDialog(format, function (result) if "positive" == result then AdapterToLua:endGame() end end)
	end
end

function init_loader:Start()
	print("init_loader:Start")
	agent_helper:Init(LUA_CALLBACK(self, self.Callback))

	self.task_status = MainLoader.TASK_STATUS_FINE
end

function init_loader:Stop()
	print("init_loader:Stop")
	self.task_status = 0
end

function init_loader:Update()
	return self.task_status
end

return init_loader
