local agent_helper = require(AGENT_PATH .. "agent_helper")

function PlatformAdapter:OpenExitDialog()
	agent_helper:Exit(function(result) 
		if "true" == result then
			AdapterToLua:endGame()
		end
	end)
end

AgentAdapter = {
	login_callback = nil,
	force_logout = false,
	is_login_verify_ing = false,
	login_verify_url = "cls.hmxx.dawx.net/hc2/login_verify.php",

	uid = "",
}

-- 初始化
function AgentAdapter:Init()
	if self.is_init then return end
	self.is_init = true
	self.uid = string.gsub((AdapterToLua:getInstance():getDataCache("PRVE_ACCOUNT_NAME") or ""), self:GetSpid() .. "_", "")
	AgentMs:InitLocalPush()
end

-- 平台ID
function AgentAdapter:GetSpid()
	return "hc2"
end

-- 平台帐号唯一标识
function AgentAdapter:GetOpenId()
	return self.uid
end

-- 加前辍的平台帐号，全平台唯一
function AgentAdapter:GetPlatName()
	return "hc2_" .. self.uid
end

function AgentAdapter:LoginCallback(result)
	if "true" == result then return true end

	if "exit" == result and agent_helper:GetSessionId() ~= "" then
		local verify_callback = function(url, arg, data, size)
			self.is_login_verify_ing = false
			if size <= 0 then
				Log("verify_callback, fail:size<=0")
				return
			end

			local ret_t = cjson.decode(data)
			if nil == ret_t or 0 ~= ret_t.ret or nil == ret_t.user then
				Log("verify_callback, fail")
				return
			end

			Log("login-verify, success")
			self:ShowFloatButton()
			self.uid = ret_t.user.uid
			LoginController.Instance:SetLoginUserData(self:GetPlatName(), ret_t.user)
			self.login_callback(self:GetPlatName())
		end

		self.is_login_verify_ing = true
		
		local session_id = agent_helper:GetSessionId()
		local now_server_time = math.floor(GLOBAL_CONFIG.server_info.server_time + (Status.NowTime - GLOBAL_CONFIG.client_time))
		local sign = UtilEx:md5Data(self:GetSpid() .. session_id .. now_server_time .. LOGIN_VERIFY_KEY)
		local real_url = string.format("%s?spid=%s&sid=%s&time=%s&sign=%s&device=%s", self.login_verify_url, self:GetSpid(), session_id, now_server_time, sign, tostring(PlatformAdapter.GetPhoneUniqueId()))
		Log("start verify login: url=" .. real_url)
		HttpClient:Request(real_url, "", verify_callback)
	end
	return false
end


--获得游戏名字
function AgentAdapter:GetGameName()
	return Language.Common.GameName[34]
end

--获得logo资源名
function AgentAdapter:GetLogoResName()
	return "big_logo_jlcx"
end

--获得loadingbgname
function AgentAdapter:GetLoadingbgName()
	return "loading_bg_jlcx"
end

function AgentAdapter:Login(callback)
	self.login_callback = callback
	if self.is_login_verify_ing then
		SysMsgCtrl.Instance:ErrorRemind("正在登录验证中，请稍等...", true)
		return
	end

	agent_helper:Login(LUA_CALLBACK(self, self.LoginCallback))
end

function AgentAdapter:SwitchAccount(callback)
	self.login_callback = callback
	agent_helper:Logout()
end

function AgentAdapter:LogoutCallback(result)
	if "true" == result then
		self.uid = ""
		if not LoginController.Instance:AgentLoginViewIsOpen() then
			ReStart()
		end
	end
	return true
end

function AgentAdapter:Logout()
	self.force_logout = true
	agent_helper:Logout()
end

function AgentAdapter:UIEventCallback(event)
	if "open" == event then
		--self:ShowFloatButton()
	elseif "close" == event then
		--self:ShowFloatButton()
	end
	return true
end

function AgentAdapter:ShowFloatButton()
	agent_helper:ShowFloatButton(70, 30, true)
end

function AgentAdapter:Pay(role_id, role_name, amount, server_id, callback)

	agent_helper:Pay(role_id, role_name, amount, server_id, callback)
end

-- function AgentAdapter:SubmitRoleData(role_id, role_name, role_level, zone_id, zone_name)
-- 	local data = {["roleId"] = role_id, ["roleName"] = role_name, ["roleLevel"] = role_level, ["zoneId"] = zone_id, ["zoneName"] = zone_name}
-- 	agent_helper:SubmitExtendData("loginGameRole", data)
-- end

function AgentAdapter:EnterUserCenter()
	agent_helper:EnterUserCenter()
end

agent_helper:SetLogoutCallback(LUA_CALLBACK(AgentAdapter, AgentAdapter.LogoutCallback))
agent_helper:SetUIEventCallback(LUA_CALLBACK(AgentAdapter, AgentAdapter.UIEventCallback))


--元宝变化
function AgentAdapter:OnMoneyChange(gold)
	Log("OnMoneyChange==================")
	Log(gold)
	PlatformBinder:JsonCall("call_agent_on_money_change", gold)
end


function AgentAdapter:SubmitRoleData(role_id, role_name, role_level, zone_id, zone_name)

	if self.subit_date_tf == nil then
		self.subit_date_tf = true
		local info = {}

		info.action = 1
		if self.createRole then
			info.action = 2
			self.createRole = nil
			self.subit_date_tf = nil
		end

		info.serverId = zone_id
		info.serverName = zone_name
		info.role_id = role_id
		info.role_name = role_name
		info.role_level = role_level

		self.serverId = zone_id
		self.serverName = zone_name

		PlatformBinder:JsonCall("send_user_info", cjson.encode(info))
	end

end

-- 创建角色上报
function AgentAdapter:ReportOnCreateRole(role_name)

	print("创建角色上报----ReportOnCreateRole")

	self.createRole = true

end

--是否支持动态下载
function AgentAdapter:IsDynamicDownloadRes()
	return true
end