GLOBAL_CONFIG = {
    client_time = 0,                    -- 更新数据时的客户端时间

    param_list = {						-- 参数列表
        client_ip = "",					-- 客户端外网IP
        config_url = "",                -- 配置获取地址(备用)
        update_url = "",				-- 资源更新地址
        update_url2 = "",               -- 资源更新地址(备用)
        upload_url = "",				-- 头像语音上传地址
        report_url = "",				-- 日志上报地址
        report_url2 = "",               -- 日志上报地址(新版)
		verify_url = "",				-- 登录验证URL
        verify_url2 = "",               -- 登录验证URL(备用)
        event_url = "",                 -- 事件上报地址
        gift_fetch_url = "",            -- 礼包领取地址
        gm_report_url = "",             -- 联系GM上报地址
        gift_query_url = "",            -- 礼包查询地址
        notice_query_url = "",          -- 公告查询地址
        switch_list = {
		    update_package = false,		-- 开关 - 安装包更新
            update_assets = false,      -- 开关 - 资源更新
            audit_version = false,		-- 开关 - IOS审核版本
            log_print = false,			-- 开关 - 打印日志到控制台
            error_screen = false,		-- 开关 - 打印错误日志到屏幕
            countly_report = false,		-- 开关 - 推送日志到后台
            open_chongzhi = true,       -- 开关 - 开启充值
            open_gm = true,             -- 开关 - 开启GM
            active_code = false,        -- 开关 - 激活码登录
        },
    },
	
    server_info = {						-- 服务器列表
        last_server = 0,				-- 上一次登录的服务器ID
		server_time = 0,				-- 服务器当前时间 (用于对时)
        server_offset = 0,              -- 服务器ID偏移(用于隐藏老服)
        server_list = {
            {
                id = 1,					-- 服务器ID
                name = "",				-- 服务器名字
                ip = "",				-- 登录服务器IP
                port = 0,				-- 登录服务器端口
                open_time = 0,			-- 服务器开服时间
                ahead_time = 0,         -- 提前开放登录时间(秒)
                pause_time = 0,         -- 维护结束时间
                flag = 0,				-- 服务器标记 (1: 火爆 2: 新服 3: 即将开服 4: 测试 5: 维护)
                avatar = 0,				-- 头像ID (未实现)
                role_name = "",			-- 角色名字 (未实现)
                role_level = 0			-- 角色等级 (未实现)
            }
        }
    },
	
    version_info = {					-- 最新 版本信息
        package_info = {				-- 安装包信息
            version = 0,				-- 安装包版本
            name = "",					-- 安装包文件名
            desc = "",					-- 安装包描述
            url = "",					-- 安装包下载地址
            size = 0,					-- 安装包大小
            md5 = "" 					-- 安装包MD5
        },
		
        assets_info = {					-- 游戏资源信息
            version = 0,				-- 资源版本号
            file_list = {
                path = "",				-- 资源文件列表
                size = 0				-- 资源文件列表大小
            }
        },
        
        update_data = ""				-- 更新初始化代码
    },

	package_info = {					-- 本地 安装包信息 (从安装文件获取, 无法修改)
		version = 0,					-- 安装包版本
		vername = "",					-- 安装包版本名
		config = {
			agent_id = "",				-- 平台(渠道)ID
			init_url = "",				-- PHP配置获取地址(保存在安装文件的初始url，如果本地配置(local_config.init_url)有值，则使用本地配置)
		}
	},
	
	assets_info = {						-- 本地 游戏资源信息
        version = 0,					-- 资源版本号
        file_list = {
            path = "",					-- 资源文件列表
            size = 0					-- 资源文件列表大小
        }
	},
	
	local_config = {                    -- 本地 参数列表
        init_url = "",                  -- 配置获取地址(初始)
        config_url = "",                -- 配置获取地址(备用)
        report_url = "",                -- 日志上报地址
        switch_list = {
            countly_report = false      -- 开关 - 推送日志到后台
        },
    },
}

GLOBAL_CONFIG.package_info = PlatformAdapter:GetPackageInfo()
GLOBAL_CONFIG.assets_info = PlatformAdapter:GetAssetsInfo()
GLOBAL_CONFIG.local_config = PlatformAdapter:GetLocalConfig()
GLOBAL_CONFIG.share_data = PlatformAdapter:GetShareDataFromFile()
GLOBAL_CONFIG.param_list = {}

AGENT_PATH = "agent/" .. GLOBAL_CONFIG.package_info.config.agent_id .. "/"

-- 渠道专用,主要用来接SDK的时候需要根据需求来修改登录背景图片等信息
GLOBAL_CONFIG.login = {
    ["dev"] = {
        -- 登陆页背景
        --login_bg_path = "ui/login/login_bg.jpg",
        -- 加载夜的背景图片
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        -- 登录的时候是否显示闪屏
        is_flash_screen = false,
        -- 二次闪屏路径(如果设置两次闪屏的话那么是否二次闪屏必须填写上true)
        two_flash_screen_path = "",
        -- 是否二次闪屏
        is_two_flash_screen = false,
        -- 闪屏是否需要跟屏幕一样大
        is_flash_screen_big = false,
        -- 迷你logo的路径地址(如果不需要可以保留空或者nil)
        mini_logo_path = "",
    },
    ["yyb"] = {
        --裸包，幻梦渠道不要天拓闪屏
        loading_bg_path = "ui/login/loading_bg_xianjian.jpg",
        is_flash_screen = true,
        two_flash_screen_path = "",
        is_two_flash_screen = false,
        is_flash_screen_big = false,
        mini_logo_path = "ui/login/yyb_logo.png",
    },
    ["yyl"] = {
        --裸包，幻梦渠道不要天拓闪屏
        loading_bg_path = "ui/login/loading_bg_yyl.jpg",
    },
    ["aow"] = {
        is_flash_screen = true,
        mini_logo_path = "ui/login/aow_logo.png",
    },
    ["awy"] = {
        loading_bg_path = "ui/login/loading_bg_awy.jpg",
        two_flash_screen_path = "ui/login/awy_logo.png",
    },
    ["alh"] = {
        loading_bg_path = "ui/login/loading_bg_lhh.jpg",
        two_flash_screen_path = "ui/login/alh_logo.jpg",
        is_flash_screen_big = true,
    },
    ["ayw"] = {
        loading_bg_path = "ui/login/loading_bg_ayw.jpg",
        two_flash_screen_path = "ui/login/ayw_logo.png",
    },
    ["a49"] = {
        two_flash_screen_path = "ui/login/a49_logo.png",
    },
    ["aw2"] = {
        loading_bg_path = "ui/login/loading_bg_hzx.jpg",
        two_flash_screen_path = "ui/login/awy_logo.png",
    },
    ["atm"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["aqy"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["agp"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hhw"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["huc"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hxm"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["h36"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hwd"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hdl"] = {
        -- 当乐(游雁)
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
        two_flash_screen_path = "ui/login/adl_logo.png",
    },
    ["adl"] = {
        -- 当乐闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/adl_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["aaz"] = {
        -- 安智闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/aaz_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["adx"] = {
        -- 电信闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/adx_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["acc"] = {
        -- 虫虫闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/acc_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["ahm"] = {
        -- 海马闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/ahm_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["acq"] = {
        -- 春秋闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/acq_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },
    ["amy"] = {
        -- 木蚂蚁闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/amy_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
        is_flash_screen_big = true,
    },
    ["aaf"] = {
        -- 安锋闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/aaf_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
        is_flash_screen_big = true,
    },
    ["and"] = {
        -- N多闪屏(两个闪屏)
        loading_bg_path = "ui/login/loading_bg_tiantian.jpg",
        two_flash_screen_path = "ui/login/and_logo.png",
        is_flash_screen = true,
        is_two_flash_screen = true,
    },

    ["hry"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hu2"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["hh2"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["hvi"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["ay2"] = {
        loading_bg_path = "ui/login/loading_bg_gjy.jpg",
    },
    ["ay3"] = {
        loading_bg_path = "ui/login/loading_bg_zqy.jpg",
    },
    ["yqx"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hhm"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        two_flash_screen_path = "ui/login/ahm_logo.png",
    },


    ["ytx"] = {
        loading_bg_path = "ui/login/loading_bg_txg.jpg",
    },
    ["aqp"] = {
        loading_bg_path = "ui/login/loading_bg_wsj.jpg",
    },
    ["ilh"] = {
        loading_bg_path = "ui/login/loading_bg_lhh.jpg",
    },
    ["all"] = {
        loading_bg_path = "ui/login/loading_bg_yzx.jpg",
    },
    ["as2"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["as3"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["ysm"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["igp"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["afg"] = {
        loading_bg_path = "ui/login/loading_bg_ftxz.jpg",
    },
    ["acg"] = {
        loading_bg_path = "ui/login/loading_bg_qmxz.jpg",
    },
    ["hjl"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hry"] = {
        loading_bg_path = "ui/login/loading_bg_jpsx.jpg",
    },
    ["hq2"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hq3"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hs4"] = {
        loading_bg_path = "ui/login/loading_bg_wgfs.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["ys4"] = {
        loading_bg_path = "ui/login/loading_bg_wgfs.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["hs5"] = {
        loading_bg_path = "ui/login/loading_bg_wgfs.jpg",
    },
    ["hb1"] = {
        loading_bg_path = "ui/login/login_bg.jpg",
        two_flash_screen_path = "ui/login/a49_logo.png",
    },
    ["hy1"] = {
       loading_bg_path = "ui/login/loading_bg_empty.jpg",
       two_flash_screen_path = "ui/login/yyw_logo.png",
    },
    ["hy2"] = {
       loading_bg_path = "ui/login/loading_bg_empty.jpg",
       --two_flash_screen_path = "ui/login/yyw_logo.png",
    },
     ["hy3"] = {
       loading_bg_path = "ui/login/loading_bg_empty.jpg",
       --two_flash_screen_path = "ui/login/yyw_logo.png",
    },
    ["hx1"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        two_flash_screen_path = "ui/login/tizi_logo.png",
        -- is_flash_screen = true,
        -- is_two_flash_screen = true,
    },
    ["hq5"] = {
       loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hq6"] = {
       loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hs1"] = {
        loading_bg_path = "ui/login/loading_bg_zmj.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["ys1"] = {
        loading_bg_path = "ui/login/loading_bg_zmj.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true, 
    },
    ["hs2"] = {
        loading_bg_path = "ui/login/loading_bg_zmj.jpg",
    },
    ["yc1"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        is_flash_screen =false,
    },
    ["ybj"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["yb2"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["ht1"] = {
        is_flash_screen_big = true,
        --two_flash_screen_path = "ui/login/asm_logo.jpg",
        loading_bg_path = "ui/login/loading_bg_ht1.jpg",
    },
    ["hj1"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["ht2"] = {
        is_flash_screen_big = true,
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
    ["hw1"] = {
        login_bg_path = "ui/login/login_bg_ntxz.jpg",
        loading_bg_path = "ui/login/loading_bg_ntxz.jpg",
    },
    ["yy2"] = {
        loading_bg_path = "ui/login/loading_bg_xxqj.jpg",
    },
    ["hl1"] = {
        loading_bg_path = "ui/login/loading_bg_zmj.jpg",
    },
    ["ht3"] = {
        loading_bg_path = "ui/login/loading_bg_xjhx.jpg",
        two_flash_screen_path = "ui/login/asm_logo.jpg",
        is_flash_screen_big = true,
    },
    ["ht4"] = {
        loading_bg_path = "ui/login/loading_bg_xjhx.jpg",
    },
    ["hc1"] = {
        loading_bg_path = "ui/login/loading_bg_jlcx.jpg",
        two_flash_screen_path = "ui/login/adl_logo.png",
        login_bg_path = "ui/login/login_bg_path_hc1.jpg",
    },
    ["hhy"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
        two_flash_screen_path = "ui/login/loading_bg_hhy.jpg",
        is_flash_screen_big = true,
    },
    ["hc2"] = {
        loading_bg_path = "ui/login/loading_bg_jlcx.jpg",
        login_bg_path = "ui/login/login_bg_path_hc1.jpg",
    },
    ["htt"] = {
        loading_bg_path = "ui/login/loading_bg_aqy.jpg",
    },
    ["yhw"] = {
        loading_bg_path = "ui/login/loading_bg_empty.jpg",
    },
}