 local agent_helper = require(AGENT_PATH .. "agent_helper")

AgentAdapter = {
	is_init = false,
	login_callback = nil,
	force_logout = false,
	login_verify_url = "cls.hmxx.dawx.net/hll/login_verify.php",
	uid = "",
	pay_icon_url = "http://lianai-image-sys.qiniudn.com/pay/yiba.png",
}

-- 初始化
function AgentAdapter:Init()
	if self.is_init then return end
	self.uid = string.gsub((AdapterToLua:getInstance():getDataCache("PRVE_ACCOUNT_NAME") or ""), self:GetSpid() .. "_", "")
	self.is_init = true
	AgentMs:InitLocalPush()

	PlatformBinder:JsonBind("call_agent_logout", function(arg)
		self:LogoutCallback(arg)
		return true
	end)
end

--获得游戏名字
function AgentAdapter:GetGameName()
	return Language.Common.GameName[35] 
end

--获得logo资源名
function AgentAdapter:GetLogoResName()
	return "big_logo_wsws"
end

--获得loadingbgname
function AgentAdapter:GetLoadingbgName()
	return "loading_bg_empty"
end

-- 平台ID
function AgentAdapter:GetSpid()
	return "hll"
end

-- 平台帐号唯一标识
function AgentAdapter:GetOpenId()
	return self.uid
end

-- 加前辍的平台帐号，全平台唯一
function AgentAdapter:GetPlatName()
	return "hll_" .. self.uid
end

function AgentAdapter:LoginCallback(result)
	if result == nil then return end
	local json_obj = cjson.decode(result)

	if nil == json_obj or nil == json_obj.uid or nil == json_obj.sid then return end
	self.uid = UtilEx:md5Data(json_obj.uid)		-- SDK返回的UID是64位的,无奈,只能加密一次MD5取32位的UID了
	self.sid = json_obj.sid
	self.login_callback(self:GetPlatName(), json_obj.sid)
	return false
end

function AgentAdapter:Login(callback)
	self.login_callback = callback
	agent_helper:Login(LUA_CALLBACK(self, self.LoginCallback))
end

function AgentAdapter:LogoutCallback(result)
	self.uid = ""
	if not LoginController.Instance:AgentLoginViewIsOpen() then
		ReStart()
	end
	return true
end

function AgentAdapter:Logout()
	self.force_logout = true
	agent_helper:Logout()
end

-- function PlatformAdapter:OpenExitDialog()
-- 	agent_helper:Exit(function(result) 
-- 		if "true" == result then
-- 			AdapterToLua:endGame()
-- 		end
-- 	end)
-- end

function AgentAdapter:Pay(role_id, role_name, amount, server_id, callback)
	if self.uid == "" then
		SysMsgCtrl.Instance:ErrorRemind("uid为空，请联系客服")
		return
	end
	local json_obj = {}
	json_obj.channel = "恋恋"	--渠道名
	json_obj.amount = amount
	json_obj.extdata = server_id .. "_" .. self.uid .. "_" .. os.time()		--额外数据，恋恋服务端会回调给游戏服务端
	json_obj.code = "65534"	--商品编码
	json_obj.name = "元宝"
	json_obj.url = self.pay_icon_url

	Log("======lua====" .. cjson.encode(json_obj))

	agent_helper:Pay(cjson.encode(json_obj), callback)
end



-- 是否支持动态下载
function AgentAdapter:IsDynamicDownloadRes()
	return true
end